Subject: Nevada
From: "Mike" <[email-masked]>
To: "Rhonda Ames" <[email-masked]>
Date: Thu, 17 Jul 2008 18:21:15 -0400

Rhonda,
I need you to check into Nevada for me.  I know you checked on it for me a matter of months ago and nothing had changed.  We have received a few calls regarding some possible changes (maybe minimum wage).  Can you check on this for me and let me know asap.  Also, how are you doing with Ohio?  I still need to call a customer back on this one.  Let me know.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]